[rkward/frameworks] macports: included PortGroups and pulling port repo on updates

m.eik michalke null at kde.org
Sun Mar 25 10:28:16 UTC 2018


Git commit 9e2a7367eb1a3b5aa748b8c56f9ddaea3a7cfcbe by m.eik michalke.
Committed on 25/03/2018 at 10:28.
Pushed by meikm into branch 'frameworks'.

included PortGroups and pulling port repo on updates

M  +9    -0    macports/update_bundle.sh

https://commits.kde.org/rkward/9e2a7367eb1a3b5aa748b8c56f9ddaea3a7cfcbe

diff --git a/macports/update_bundle.sh b/macports/update_bundle.sh
index d9d81fa3..326016df 100755
--- a/macports/update_bundle.sh
+++ b/macports/update_bundle.sh
@@ -328,6 +328,8 @@ if $FRESHMCP ; then
   if [[ $CLANG ]] ; then
     sudo "${MPTINST}/bin/port" -v install "${CLANG}" "${LLVMFIX}" || exit 1
   fi
+  echo "syncing PortGroup files"
+  sudo rsync -av "${GITROOT}/macstrop/_resources/port1.0/"  "${MPTINST}/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/_resources/port1.0/" || exit 1
   # (re-)generate portindex
   cd "${SRCPATH}" || exit 1
   "${MPTINST}/bin/portindex" || exit 1
@@ -347,6 +349,13 @@ fi
 
 # update installed ports
 if $UPMPORTS ; then
+  echo "updating RJVB local repository (patched Qt5)"
+  cd "${GITROOT}/macstrop" || exit 1
+  git pull --rebase origin || exit 1
+  echo "syncing RJVB PortGroup files"
+  sudo rsync -av "${GITROOT}/macstrop/_resources/port1.0/"  "${MPTINST}/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/_resources/port1.0/" || exit 1
+  "${MPTINST}/bin/portindex" || exit 1
+  cd "${OLDWD}" || exit 1
   echo "sudo ${MPTINST}/bin/port selfupdate"
   sudo "${MPTINST}/bin/port" selfupdate
   echo "sudo ${MPTINST}/bin/port -v upgrade outdated"



More information about the rkward-tracker mailing list